Subject: [lisp] WG Last Call on draft-lisp-introduction-07

From: Luigi Iannone <[email-masked]>
Date: Sat, 25 Oct 2014 14:03:50 +0200

All,

A lot of work has been done lately on draft-ietf-lisp-introduction-07 and the authors requested a work group last call.

This email starts a WG last call, to end November 14th, 2014.

You will find the document here:
http://tools.ietf.org/html/draft-ietf-lisp-introduction-07 <http://tools.ietf.org/html/draft-ietf-lisp-introduction-07>

Please review this WG document.  Let the working group know if you agree that it is ready for handing to the AD, or if you see issues with it. 
If you see issues, please be as specific as possible about the problems, and if possible suggest text to resolve them.

Joel & Luigi

---

From: Dino Farinacci <[email-masked]>
Date: Sat, 25 Oct 2014 09:31:57 -0700

> If you see issues, please be as specific as possible about the problems, and if possible suggest text to resolve them.

I have reviewed and commented on this introduction draft 5 times since the interim WG meeting held last fall in Virgina. I believe the -07 version is in very good shape and ready for handing off to the AD.

Thanks,
Dino

---

From: Marc Binderberger <[email-masked]>
Date: Sat, 25 Oct 2014 12:03:44 -0700

Hello Luigi and list members,

> A lot of work has been done lately on draft-ietf-lisp-introduction-07 

indeed and I think the document is ready for the ADs and finally RFC status.

Regards, Marc

P.S.: one nitpick (really small): the document is not using any MUST, SHOULD 
etc. language, so references to RFC2119 and the "Requirements Language" 
section could be removed. I got this feedback once from ADs - but maybe the 
authors just wait if ADs say anything ;-)

On Sat, 25 Oct 2014 14:03:50 +0200, Luigi Iannone wrote:
> All,
> 
> A lot of work has been done lately on draft-ietf-lisp-introduction-07 and 
> the authors requested a work group last call.
> 
> http://tools.ietf.org/html/draft-ietf-lisp-introduction-07
> 
> Please review this WG document.  Let the working group know if you agree 
> that it is ready for handing to the AD, or if you see issues with it. 
> If you see issues, please be as specific as possible about the problems, 
> and if possible suggest text to resolve them.
> 
> Joel & Luigi
> 
> _______________________________________________
> lisp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lisp

---

From: Sharon Barkai <[email-masked]>
Date: Sat, 25 Oct 2014 19:27:14 +0000

Also agree, excellent overall intro to the lisp two tier network architecture and the possibilities opened by it.

I found one typo :)

--szb

> On Oct 25, 2014, at 12:07 PM, Marc Binderberger <[email-masked]> wrote:
>

---

From: Dino Farinacci <[email-masked]>
Date: Sat, 25 Oct 2014 13:37:03 -0700

> authors just wait if ADs say anything ;-)

The reason being is that the doc is not a protocol specification but an overview of all the protocol specifications in RFC form. 

Dino

---

From: Florin Coras <[email-masked]>
Date: Sun, 26 Oct 2014 22:08:13 -0700

I have read the document and believe it is ready for handing off to the AD.

Florin

---

From: Alberto Rodriguez-Natal <[email-masked]>
Date: Mon, 27 Oct 2014 12:44:22 +0100

I went through the draft and I think it is ready for the AD.

Best,
Alberto

On Sat, Oct 25, 2014 at 2:03 PM, Luigi Iannone <[email-masked]> wrote:

> *http://tools.ietf.org/html/draft-ietf-lisp-introduction-07
> <http://tools.ietf.org/html/draft-ietf-lisp-introduction-07>*
>

---

From: "Chad Hintz (chahintz)" <[email-masked]>
Date: Mon, 27 Oct 2014 13:08:43 +0000

I have as well and agree it is ready.
Chad Hintz
Technical Solutions Architect
Commercial East Area

Cisco Systems, Inc.

United States
Cisco.com
Phone: +1-716-446-5312
[email-masked]
CCIE - 15729
Twitter:@chadh0517
Blog:dcnextgen.blogspot.com

"Simplicity is the ultimate sophistication"

-Leonardo da Vinci<http://www.brainyquote.com/quotes/authors/l/leonardo_da_vinci.html>

From: Alberto Rodriguez-Natal <[email-masked]<mailto:[email-masked]>>
Date: Monday, October 27, 2014 at 7:44 AM
To: Luigi Iannone <[email-masked]<mailto:[email-masked]>>
Cc: Damien Saucez <[email-masked]<mailto:[email-masked]>>, LISP mailing list list <[email-masked]<mailto:[email-masked]>>
Subject: Re: [lisp] WG Last Call on draft-lisp-introduction-07

Best,
Alberto

On Sat, Oct 25, 2014 at 2:03 PM, Luigi Iannone <[email-masked]<mailto:[email-masked]>> wrote:
All,

Joel & Luigi

_______________________________________________
lisp mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/lisp

---

From: Lori Jakab <[email-masked]>
Date: Mon, 27 Oct 2014 16:08:56 +0200

Hi,

Well structured and written document, with the right balance between brevity and detail.

A few small nits, which can be fixed in a later update:
- The last paragraph of the introduction refers to the “LISP specifications” in plural and lists a single reference. I think it should read “LISP specification”.
- First paragraph of Section 3 s/inetrworking/interworking/ Same in Section 3.5
- I think someone already mentioned this in a previous review, I would replace dashes with parentheses when used like this: "typically -but not limited to- an IPv4 or IPv6 address”
- Right before Section 3.4.3.1 s/LISP-ALT and LISP+DDT/LISP+ALT and LISP-DDT/

-Lori

---

From: Dino Farinacci <[email-masked]>
Date: Mon, 27 Oct 2014 09:58:10 -0700

Since we are in last call and these are simple changes, I think they should go in. 

Dino

> On Oct 27, 2014, at 7:08 AM, Lori Jakab <[email-masked]> wrote:
> 
> Hi,
>

---

From: Terry Manderson <[email-masked]>
Date: Mon, 27 Oct 2014 23:37:44 +0000

Kudos to the editors..

Some nits I noticed:

Intro, para 3 s/and mobility among others benefits/and mobility among
other benefits/

Lisp Architecture para 1, "inetrworking" - please fix

Overview of the architecture:
	Para 1: s/LISP splits architecturally/LISP architecturally splits/
	Para 1: "time of this writing" 'this' is probably superfluous here.

	Para 3: s/in this context RLOCs can be thought of Provider Aggregatable
addresses/in this context RLOCs can be thought of as Provider Aggregatable
addresses

Traffic engineering
	Para 1: suggest: s/routing informations are propagated along/routing
information is propagated along/
	Para 1: suggest: s/way routing information are propagated/way routing
information is further propagated/

LISP for IPv6 Co-existence"

	Parai 1: suggest s/LISP encapsulations permits to transport packets/LISP
encapsulation permits transportation of packets/

LISP for Virtual Machine Mobility in Data Centers

	Para1: s/machine mobility in data center/machine mobility in the data
center/

One wording suggestion:

para 3:

Additionally, LISP's approach to solve the routing scalability problem
[RFC4984] is that with LISP the Internet core is populated with RLOCs
while Traffic Engineering mechanisms are pushed to the Mapping System.
With this RLOCs are quasi-static (i.e., low churn) and hence, the routing
system scalable [Quoitin] while EIDs can roam anywhere with no churn to
the underlying routing system.

suggested

Additionally, LISP's approach to solve the routing scalability problem
[RFC4984] populates the Internet core with RLOCs while Traffic Engineering
mechanisms are pushed to a Mapping System. This means RLOCs are
quasi-static (i.e., low churn) and hence, the routing system scalability
properties improved [Quoitin] while EIDs can then roam anywhere without
churn impact on the underlying routing system.

Other comments

It could be a matter of style, but I found the repeated "With LISP .." to
start sentences and paragraphs (in the first 3 paras) a little grating on
me.

I think the diagrams and descriptions are very helpful.. even for someone
who has read a fair chunk of the LISP documents.

I like the way the mobility section is handled. :-) Perfectly;y
appropriate IMHO.

Given this document takes a lot of work and produces a 'readers digest'
version, I agree with the other comments that it is well constructed and
free from technical errors and pending a few minutes to check over my
comments above, ready to start the shepherding journey.

Cheers
Terry

---

From: Fabio Maino <[email-masked]>
Date: Mon, 27 Oct 2014 17:27:37 -0700

The draft is a great introduction to LISP, and I believe the authors 
addressed very well the asks of the charter. I think this doc is ready 
to go to the AD.

Fabio

On 10/25/14, 5:03 AM, Luigi Iannone wrote:
> and the authors requested a work group last call.
>
> *http://tools.ietf.org/html/draft-ietf-lisp-introduction-07*
>
> Please review this WG document.  Let the working group know if you 
> agree that it is ready for handing to the AD, or if you see issues 
> with it.
> If you see issues, please be as specific as possible about the 
> problems, and if possible suggest text to resolve them.
>
> Joel & Luigi
>
>